/*
 * Created on Aug 14, 2007
 */
package net.sf.doolin.tabular.model;

/**
 * Defines the structure of some tabular data.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of object per row
 */
public interface TabularModel<T> {

	/**
	 * Gets the column at a specified index
	 * 
	 * @param index
	 *            Column index
	 * @return Column at the index
	 */
	TabularColumn<T> getColumn(int index);

	/**
	 * Returns the column count
	 * 
	 * @return Count
	 */
	int getColumnCount();

	/**
	 * Switches to the next item in the list or returns <code>null</code> if no
	 * object is available any longer.
	 * 
	 * @return Next object or <code>null</code>
	 */
	T next();

	/**
	 * Resets to the start of rows
	 */
	void reset();

}
