package net.sf.doolin.tabular.support;

import net.sf.doolin.tabular.model.TabularColumn;

/**
 * Defines the definition of a column with a title.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of data for the rows.
 */
public abstract class AbstractTabularColumn<T> implements TabularColumn<T> {

	private final String title;

	/**
	 * Constructor.
	 * 
	 * @param title
	 *            Title for the column
	 */
	public AbstractTabularColumn(String title) {
		this.title = title;
	}

	@Override
	public String getTitle() {
		return this.title;
	}

}
