package net.sf.doolin.tabular.support;

import java.util.ArrayList;
import java.util.List;

import net.sf.doolin.tabular.model.TabularColumn;
import net.sf.doolin.tabular.model.TabularModel;

/**
 * This class defines an abstract common implementation for a tabular model.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <T>
 *            Type of data for the rows.
 */
public abstract class AbstractTabularModel<T> implements TabularModel<T> {

	private List<TabularColumn<T>> columns = new ArrayList<TabularColumn<T>>();

	/**
	 * Adds a column to the model
	 * 
	 * @param column
	 *            Column to add
	 */
	public void addColumn(TabularColumn<T> column) {
		this.columns.add(column);
	}

	@Override
	public TabularColumn<T> getColumn(int index) {
		return this.columns.get(index);
	}

	@Override
	public int getColumnCount() {
		return this.columns.size();
	}
}
